#include "RandVec.h"

#include "Vector.h"

#include <stdlib.h>
#include <math.h>

const float M_2PIf = 6.283185307179586476925286766559f;

float rand(float min, float max)
{
	return min + (max - min) * rand() / (float)RAND_MAX;
}

Vector RandVec()
{
	float z = rand(-1.0f, 1.0f);
	float a = rand(0.0f, M_2PIf);

	float r = sqrtf(1.0f - z*z);

	float x = r * cosf(a);
	float y = r * sinf(a);

	return Vector(x, y, z);
}